## openpyxl 2.3.0

=== requirements.txt ===
pip>=6.0
lxml>=3.3.4
pytest
pillow
tox

## openpyxl 1.1.0

=== debian/changelog ===
openpyxl (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 01 Aug 2010 23:42:16 -0400

openpyxl (1.0.1+hg95-1) unstable; urgency=low

  * Initial release (Closes: #590536)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 Jul 2010 16:40:40 -0400

=== debian/control ===
Source: openpyxl
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.5), python-support (>= 0.6), python-setuptools(>= 0.6), python-nose
Standards-Version: 3.9.0
Homepage: http://bitbucket.org/ericgazoni/openpyxl/
XS-Vcs-Git: git://git.debian.org/git/pkg-exppsy/openpyxl.git
XS-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/openpyxl.git


Package: python-openpyxl
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-nose
Description: module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_clean:
	rm -rf src/openpyxl.egg-info
	dh_clean

override_dh_auto_test:
	python setup.py test

## openpyxl 1.5.3+hg365

=== debian/changelog ===
openpyxl (1.5.3+hg365-1) unstable; urgency=low

  * Fresh post-release snapshot:
    addresses LibreOffice compatibility issues
  * Boosted standards version to 3.9.2 -- no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 21 Jul 2011 14:36:21 -0400

openpyxl (1.5.0-1) unstable; urgency=low

  * New upstream release
    - sources layout has changed
    - requires Python >= 2.6 now (Closes: #603793)
  * Boosted standards version to 3.9.1 -- no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Mar 2011 13:24:29 -0400

## openpyxl 1.5.6

=== debian/changelog ===
openpyxl (1.5.6-1~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 18 Nov 2011 16:43:35 -0500

openpyxl (1.5.6-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Nov 2011 15:56:52 -0500

openpyxl (1.5.5-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Oct 2011 18:02:11 -0400

openpyxl (1.5.4-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Sep 2011 16:35:25 -0400

## openpyxl 1.5.8

=== debian/changelog ===
openpyxl (1.5.8-1) unstable; urgency=low

  * Fresh upstream release
    - fixes unittests failures in upcoming pandas 0.7.3

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Apr 2012 11:20:11 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.5), python-support (>= 0.6), python-setuptools(>= 0.6), python-nose
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6), python-support (>= 0.6), python-setuptools(>= 0.6), python-nose
+Standards-Version: 3.9.2
 Homepage: http://bitbucket.org/ericgazoni/openpyxl/
 XS-Vcs-Git: git://git.debian.org/git/pkg-exppsy/openpyxl.git
 XS-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/openpyxl.git

## openpyxl 1.6.1+hg2-g4bff8e3

=== debian/changelog ===
openpyxl (1.6.1+hg2-g4bff8e3-1~nd11.10+1) oneiric; urgency=low

  * Backported for oneiric.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 04 Feb 2013 12:37:03 -0500

openpyxl (1.6.1+hg2-g4bff8e3-1) experimental; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Feb 2013 12:08:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openpyxl
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6), python-support (>= 0.6), python-setuptools(>= 0.6), python-nose
 Standards-Version: 3.9.2
@@ -12,7 +13,7 @@
 
 Package: python-openpyxl
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}
 Recommends: python-nose
 Description: module to read/write OpenXML xlsx/xlsm files
  Openpyxl is a pure Python module to read/write Excel 2007 (OpenXML)

## openpyxl 1.7.0+ds1

=== debian/changelog ===
openpyxl (1.7.0+ds1-1) unstable; urgency=low

  * Fresh upstream release
    - removed cover/ generated reports

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Nov 2013 11:19:49 -0500

openpyxl (1.6.2-1) experimental; urgency=low

  * Fresh upstream release
    - provides optional support for embedded images.
      Adding Recommends to python-imaging

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Apr 2013 10:10:17 -0400

=== debian/control ===
Source: openpyxl
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6), python-support (>= 0.6), python-setuptools(>= 0.6), python-nose, python-pil | python-imaging
Standards-Version: 3.9.2
Homepage: http://bitbucket.org/ericgazoni/openpyxl/
XS-Vcs-Git: git://git.debian.org/git/pkg-exppsy/openpyxl.git
XS-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/openpyxl.git


Package: python-openpyxl
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-nose, python-pil, python-imaging
Description: module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	dh $@
 
 override_dh_clean:
-	rm -rf src/openpyxl.egg-info
+	rm -rf openpyxl.egg-info
 	dh_clean
 
 override_dh_auto_test:

=== debian/watch ===
version=3
http://bitbucket.org/ericgazoni/openpyxl/downloads \
 /ericgazoni/openpyxl/get/([\d\.]*).tar.bz2

## openpyxl 2.3.0~b1

=== debian/changelog ===
openpyxl (2.3.0~b1-1ubuntu1) wily; urgency=medium

  * Build-depend on python3-all to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 21 Oct 2015 23:58:16 -0400

openpyxl (2.3.0~b1-1) unstable; urgency=medium

  * Fresh upstream beta-release
  * debian/copyright -- fixups
  * debian/watch - allow to update for alpha/beta releases
  * debian/patches
    - up_python3_print - fix for compatibility with python3 (Closes: #790754)
    - deb_no_et_xml_file - there is no et_xmlfile package yet and it
      is optional anyways. Disable it in setup.py so dh*-python magic doesn't
      add unsatisfyiable depends
  * debian/control
    - to play safe care only about python >= 2.6
  * debian/rules
    - adjust path to changes.rst

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 01 Jul 2015 10:34:46 -0400

openpyxl (2.2.4-1) unstable; urgency=medium

  * New upstream release (Thanks Sjoerd Langkemper for the buzz and help
    with update)
    - this package should (Closes: #786108, #782925) due to UNRELEASED
      changes below
  * debian/rules:
    - use LC_ALL=C.UTF-8 while testing

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 01 Jul 2015 08:44:58 -0400

openpyxl (2.1.3-1) UNRELEASED; urgency=medium

  * New upstream release
  * debian/rules
    - install upstream changelog
  * debian/control
    - added jdcal into dependencies

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 09 Dec 2014 11:36:21 -0500

openpyxl (2.0.5-1) UNRELEASED; urgency=medium

  * Fresh upstream release, which introduces some possibly backward
    incompatible changes (thanks upstream for the summary):
    - using optimized reader, make sure you're using workseet.rows and not
      worksheet.iter_rows()
    - still using optimized reader, make sure you're using cell.value and
      not cell.internal_value
    - the flag data_only when opening a workbook in opitmized mode returns
      the values of the formulas instead of the actual formulas
    - when writing in optimized mode, the way to use append() has changed a
      lot, you might want to check the docs:
      http://pythonhosted.org/openpyxl/optimized.html#optimized-writer
  * debian/{control,watch}
    - adjust for moving under openpyxl organization on bitbucket
  * debian/{control,rules}
    - deprecating use of pysupport
    - providing python3-openpyxl package now
    - added python*-lxml packages to build-depends for testing and recommends
  	- used py.test not nose for testing
    - boosted policy compliance 3.9.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Aug 2014 12:22:57 -0400

=== debian/control ===
Source: openpyxl
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.6), python-setuptools(>= 0.6),
               python-pytest, python-pil | python-imaging, python-lxml,
               python3-all (>= 3.2), python3-setuptools,
               python3-pytest, python3-pil | python3-imaging, python3-lxml,
               python-jdcal, python3-jdcal,
Standards-Version: 3.9.5
Homepage: http://bitbucket.org/openpyxl/openpyxl/
Vcs-Git: git://git.debian.org/git/pkg-exppsy/openpyxl.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/openpyxl.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-openpyxl
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-jdcal
Recommends: python-pytest, python-pil, python-imaging, python-lxml
Description: module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.

Package: python3-openpyxl
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-jdcal
Recommends: python3-pytest, python3-pil, python3-lxml
Description: module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.

## openpyxl 2.3.0~b2

=== debian/changelog ===
openpyxl (2.3.0~b2-1~nd14.04+1) trusty; urgency=medium

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 15 Sep 2015 20:06:16 -0400

openpyxl (2.3.0~b2-1) unstable; urgency=medium

  * Fresh upstream  beta-release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Sep 2015 14:02:57 -0400

=== debian/control ===
Source: openpyxl
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.6), python-setuptools(>= 0.6),
               python-pytest, python-pil | python-imaging, python-lxml,
               python3 (>= 3.2), python3-setuptools,
               python3-pytest, python3-pil | python3-imaging, python3-lxml,
               python-jdcal, python3-jdcal,
Standards-Version: 3.9.5
Homepage: http://bitbucket.org/openpyxl/openpyxl/
Vcs-Git: git://git.debian.org/git/pkg-exppsy/openpyxl.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/openpyxl.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-openpyxl
Architecture: all
Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}, python-jdcal
Recommends: python-pytest, python-pil, python-imaging, python-lxml
Description: module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.

Package: python3-openpyxl
Architecture: all
Depends: neurodebian-popularity-contest, ${python3:Depends}, ${misc:Depends}, python3-jdcal
Recommends: python3-pytest, python3-pil, python3-lxml
Description: module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.

## openpyxl 2.3.0

=== debian/changelog ===
openpyxl (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: python3-all (instead of python3)
    Closes: #802088

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2015 14:24:40 +0100

=== debian/control ===
Source: openpyxl
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.6), python-setuptools(>= 0.6),
               python-pytest, python-pil | python-imaging, python-lxml,
               python3-all (>= 3.2), python3-setuptools,
               python3-pytest, python3-pil | python3-imaging, python3-lxml,
               python-jdcal, python3-jdcal,
Standards-Version: 3.9.5
Homepage: http://bitbucket.org/openpyxl/openpyxl/
Vcs-Git: git://git.debian.org/git/pkg-exppsy/openpyxl.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/openpyxl.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-openpyxl
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-jdcal
Recommends: python-pytest, python-pil, python-imaging, python-lxml
Description: module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.

Package: python3-openpyxl
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-jdcal
Recommends: python3-pytest, python3-pil, python3-lxml
Description: module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.

=== debian/watch ===
version=3
opts="uversionmangle=s/-([ab])/~$1/g" \
 http://bitbucket.org/openpyxl/openpyxl/downloads \
  /openpyxl/openpyxl/get/(\d*\.\d*\.\d*[-0-9ab]*).tar.bz2

## openpyxl 2.4.9

=== requirements.txt ===
pip>=6.0
lxml>=3.3.4
pytest
pytest-cov
pillow
tox
pandas

=== debian/changelog ===
openpyxl (2.4.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    Closes: #790751
  * Take over maintenance to Debian Science team
  * cme fix dpkg-control
  * Standards-Version: 4.1.3
  * debhelper 9
  * Drop python-imaging as alternative to python-pil
    Closes: #866446
  * Verify that homepage is correct
    Closes: #790752
  * Add missing DEP3 headers
  * Enable usage of python-et-xmlfile which is now available in Debian
  * Distinct descriptions
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jan 2018 11:57:28 +0100

openpyxl (2.3.0-3) unstable; urgency=medium

  * Do not resolve entities with lxml to avoid XXE vulnerability
    - patch up_no_lxml (Closes: #854442)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Feb 2017 09:37:53 -0500

openpyxl (2.3.0-2) unstable; urgency=medium

  * debian/control
    - move lxml (>= 3.3.4) into Depends and adding python-et-xmlfile as
      an alternative to it (Closes: #822414)
 	- policy boost to 3.9.8

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Apr 2016 21:49:59 -0400

=== debian/control ===
Source: openpyxl
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python,
               python-setuptools,
               python-pytest,
               python-pil,
               python-lxml (>= 3.3.4),
               python-et-xmlfile,
               python3-all,
               python3-setuptools,
               python3-pytest,
               python3-pil,
               python3-lxml (>= 3.3.4),
               python3-et-xmlfile,
               python-jdcal,
               python3-jdcal
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/openpyxl.git
Vcs-Git: https://salsa.debian.org/science-team/openpyxl.git
Homepage: http://bitbucket.org/openpyxl/openpyxl/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-openpyxl
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-jdcal,
         python-lxml (>= 3.3.4),
         python-et-xmlfile
Recommends: python-pytest,
            python-pil
Description: Python module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.

Package: python3-openpyxl
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-jdcal,
         python3-lxml (>= 3.3.4),
         python3-et-xmlfile
Recommends: python3-pytest,
            python3-pil
Description: Python 3 module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python 3 module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PYVERS = $(shell pyversions -vr)
PYVER = $(shell pyversions -vd)
PY3VERS = $(shell py3versions -vr)
PY3VER = $(shell py3versions -vd)

%:
	dh $@ --with=python2,python3

override_dh_clean:
	rm -rf openpyxl.egg-info
	dh_clean

override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%}
python-install%:
	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

override_dh_auto_test: ${PYVERS:%=python-test%} ${PY3VERS:%=python-test%}
python-test%:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 python$* /usr/bin/py.test openpyxl
endif

override_dh_installchangelogs:
	dh_installchangelogs doc/changes.rst

## openpyxl 3.0.3

=== debian/changelog ===
openpyxl (3.0.3-1) unstable; urgency=medium

  * New upstream release; Closes: #948841
  * debian/control
    - update upstream copyright years
  * debian/patches/up_no_lxml
    - refresh patch
  * Drop python2 support; Closes: #937210

 -- Sandro Tosi <morph@debian.org>  Sat, 01 Feb 2020 23:24:16 -0500

=== debian/control ===
Source: openpyxl
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest,
               python3-pil,
               python3-lxml (>= 3.3.4),
               python3-et-xmlfile,
               python3-jdcal
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/openpyxl.git
Vcs-Git: https://salsa.debian.org/science-team/openpyxl.git
Homepage: http://bitbucket.org/openpyxl/openpyxl/

Package: python3-openpyxl
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-jdcal,
         python3-lxml (>= 3.3.4),
         python3-et-xmlfile
Recommends: python3-pytest,
            python3-pil
Description: Python 3 module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python 3 module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PY3VERS = $(shell py3versions -vr)
PY3VER = $(shell py3versions -vd)

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_clean:
	rm -rf openpyxl.egg-info
	dh_clean

override_dh_auto_install: ${PY3VERS:%=python-install%}
python-install%:
	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

override_dh_auto_test: ${PY3VERS:%=python-test%}
python-test%:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 python$* /usr/bin/py.test-3 openpyxl
endif

override_dh_installchangelogs:
	dh_installchangelogs doc/changes.rst

=== debian/watch ===
version=4
opts="uversionmangle=s/-([ab])/~$1/g" \
https://bitbucket.org/openpyxl/openpyxl/downloads/?tab=tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## openpyxl 3.0.9

=== requirements.txt ===
pip>=18.0
lxml>=4.2.0
pytest
pillow
tox
pandas

=== debian/changelog ===
openpyxl (3.0.9-1) unstable; urgency=medium

  * Team upload.
  * Move to default layout of Debian Science policy and remove debian/gbp.conf
  * Maintainer is Debian Science Maintainers
  * New Homepage
  * Point watch file to new location
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use canonical URL in Vcs-Browser.

 -- Andreas Tille <tille@debian.org>  Mon, 15 Nov 2021 10:43:20 +0100

=== debian/control ===
Source: openpyxl
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest,
               python3-pil,
               python3-lxml,
               python3-et-xmlfile,
               python3-jdcal
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/openpyxl
Vcs-Git: https://salsa.debian.org/science-team/openpyxl.git
Homepage: https://foss.heptapod.net/openpyxl/openpyxl
Rules-Requires-Root: no

Package: python3-openpyxl
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-jdcal,
         python3-lxml,
         python3-et-xmlfile
Recommends: python3-pytest,
            python3-pil
Description: Python 3 module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python 3 module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.

=== debian/watch ===
version=4
opts="uversionmangle=s/-([ab])/~$1/g" \
https://foss.heptapod.net/openpyxl/openpyxl/-/tags .*/openpyxl-@ANY_VERSION@.tar.gz

## openpyxl 3.1.2+dfsg

=== debian/changelog ===
openpyxl (3.1.2+dfsg-6) unstable; urgency=medium

  * Tests: be compatible with pytest 8.  (Closes: #1063978)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 18 Feb 2024 18:32:39 +0000

openpyxl (3.1.2+dfsg-5) unstable; urgency=medium

  * Reproducibility: use SOURCE_DATE_EPOCH for copyright year.
    (Closes: #1057721)
  * Mark docs Multi-Arch: foreign.
  * Allow building for multiple Python versions.  (Closes: #1058313)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 12 Dec 2023 19:55:12 +0000

openpyxl (3.1.2+dfsg-4) unstable; urgency=medium

  * No-change source-only upload.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 28 Nov 2023 22:04:14 +0000

openpyxl (3.1.2+dfsg-3) unstable; urgency=medium

  * Fix test-failing warnings with Python 3.12. (Closes: #1056432)
  * Enable documentation. (Closes: #950462)
  * Reproducibility: in descriptors.Set repr/docstring/errors,
    use sorted values, not address or unsorted values.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 27 Nov 2023 20:18:36 +0000

openpyxl (3.1.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 12 Oct 2023 19:20:57 +0100

openpyxl (3.1.2+dfsg-1) experimental; urgency=medium

  * New upstream release. (Closes: #1051233)
  * Upload to experimental, due to potential incompatibility.
  * Drop patches no longer needed.
  * Remove obsolete README.source and TODO.
  * Use upstream tests as autopkgtest.
  * Add self to Uploaders.
  * Remove possibly nonfree test data. (Closes: #1053672)
  * Remove pytest Recommends.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Oct 2023 07:41:55 +0100

openpyxl (3.0.9-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Drop obsolete python3-jdcal (build) dependency.
    (closes: #1002903)

  [ Nilesh Patra ]
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add patch to fix tests with new pytest (Closes: #1042280)
  * Add upstream/metadata
  * Remove superfluous pattern from copyright

 -- Nilesh Patra <nilesh@debian.org>  Wed, 30 Aug 2023 01:13:31 +0530

=== debian/control ===
Source: openpyxl
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Rebecca N. Palmer <rebecca_palmer@zoho.com>,
           Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-et-xmlfile,
               python3-lxml,
               python3-pytest,
               python3-pil,
               python3-setuptools,
               sphinx-common,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/openpyxl
Vcs-Git: https://salsa.debian.org/science-team/openpyxl.git
Homepage: https://foss.heptapod.net/openpyxl/openpyxl
Rules-Requires-Root: no

Package: python3-openpyxl
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-lxml,
         python3-et-xmlfile
Recommends: python3-pil
Suggests: python-openpyxl-doc
Description: Python 3 module to read/write OpenXML xlsx/xlsm files
 Openpyxl is a pure Python 3 module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.
 .
 This package contains the module itself.

Package: python-openpyxl-doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
Suggests: python3-openpyxl
Description: Python module to read/write OpenXML xlsx/xlsm files - docs
 Openpyxl is a pure Python 3 module to read/write Excel 2007 (OpenXML)
 xlsx/xlsm files.
 .
 This package contains the documentation.

=== debian/watch ===
version=4
opts="uversionmangle=s/-([ab])/~$1/g,dversionmangle=auto,repacksuffix=+dfsg" \
https://foss.heptapod.net/openpyxl/openpyxl/-/tags .*/openpyxl-@ANY_VERSION@.tar.gz

## openpyxl 3.1.5%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,24 +9,24 @@
                dh-python,
                python3-all,
                python3-et-xmlfile,
-               python3-lxml,
+               python3-lxml (>= 5.0.1~),
                python3-pytest,
                python3-pil,
                python3-setuptools,
                sphinx-common,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/openpyxl
 Vcs-Git: https://salsa.debian.org/science-team/openpyxl.git
-Homepage: https://foss.heptapod.net/openpyxl/openpyxl
+Homepage: https://openpyxl.readthedocs.io
 Rules-Requires-Root: no
 
 Package: python3-openpyxl
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-lxml,
+         python3-lxml (>= 5.0.1~),
          python3-et-xmlfile
 Recommends: python3-pil
 Suggests: python-openpyxl-doc
@@ -39,6 +39,7 @@
 Package: python-openpyxl-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends},
 Suggests: python3-openpyxl

=== debian/watch ===
version=4
# tag sorting is always backwards in this repository whatever it's set to (possibly because it's non-git)
# so explicitly set it as backwards and point to the current last page as better than nothing
opts="uversionmangle=s/-([ab])/~$1/g,dversionmangle=auto,repacksuffix=+dfsg,downloadurlmangle=s#tags/([0-9.]+)#archive/$1/openpyxl-$1.tar.gz#g,filenamemangle=s#tags/([0-9.]+)#openpyxl-$1.tar.gz#g" \
https://foss.heptapod.net/openpyxl/openpyxl/-/tags?page=7&sort=updated_asc .*/tags/@ANY_VERSION@

## openpyxl 3.1.5+dfsg

=== requirements.txt ===
pip>=18.0
lxml==5.0.1
pytest
pillow
tox
pandas

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/openpyxl.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/openpyxl.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/openpyxl"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/openpyxl"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
pip
lxml
pandas
sphinx_rtd_theme

=== debian/changelog ===
openpyxl (3.1.5+dfsg-3) unstable; urgency=medium

  * Tests: don't pass streams to lxml fromstring. (Closes: #1112366)
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 02 Sep 2025 11:40:50 +0100

openpyxl (3.1.5+dfsg-2) unstable; urgency=medium

  * Use the online documentation as Homepage. (Closes: #1098333)
  * d/watch: work around broken tag sorting.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 01 May 2025 10:07:45 +0100

openpyxl (3.1.5+dfsg-1) unstable; urgency=medium

  * New upstream release.  Drop / refresh patches.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Mark -doc package Section: doc.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 03 Aug 2024 13:51:55 +0100

openpyxl (3.1.2+dfsg-7) unstable; urgency=medium

  * Update d/watch (see #1071438).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 07 Jul 2024 19:37:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,22 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-PY3VERS = $(shell py3versions -vr)
-PY3VER = $(shell py3versions -vd)
+PY3VERS = $(shell py3versions -vs)
 
 %:
-	dh $@ --with=python3 --buildsystem=pybuild
+	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
-	rm -rf openpyxl.egg-info
+	rm -rf openpyxl.egg-info openpyxl/formatting/tests/data/conditional-formatting.xlsx openpyxl/reader/tests/data/complex-styles.xlsx
 	dh_clean
+
+override_dh_auto_build:
+	cp -n debian/conditional-formatting.xlsx openpyxl/formatting/tests/data
+	cp -n debian/complex-styles.xlsx openpyxl/reader/tests/data
+	dh_auto_build
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	cd doc && LC_ALL=C.UTF-8 sphinx-build -b html -d build/doctrees . build/html
+endif
 
 override_dh_auto_install: ${PY3VERS:%=python-install%}
 python-install%:

=== debian/tests/control ===
Test-Command: python3 -c "import openpyxl"
Depends: python3-openpyxl
Restrictions: allow-stderr

Tests: upstreamtests
Depends: python3-openpyxl,
         python3-all,
         python3-defusedxml,
         python3-et-xmlfile,
         python3-lxml,
         python3-numpy,
         python3-pandas,
         python3-pil,
         python3-pytest,
         python3-setuptools,
Restrictions: allow-stderr
